<?php
/*******************************************************************************
 * Update Elgg Dev Tools Setttings
 * 
 * This applies the changes from the Elgg admin form.  Normally, you would dev
 * with a bit more security for default settings - but I'm assuming you - the dev
 * kinda know what you're doing
 * 
 * @package OHT
 * @subpackage ElggDevTools
 * @author Aaron Saray (102degrees.com)
 ******************************************************************************/

/** make sure admin/submitted correctly **/
admin_gatekeeper();
action_gatekeeper();

/** delete views **/
set_plugin_setting('deleteviews', get_input('deleteviews'), 'OHT_ElggDevTools');

/** enable firephp **/
set_plugin_setting('enablefirephp', get_input('enablefirephp'), 'OHT_ElggDevTools');

/** display errors **/
set_plugin_setting('displayerrors', get_input('displayerrors'), 'OHT_ElggDevTools');

/** enable/disable simple cache **/
if (get_input('usesimplecache')) {
    elgg_view_enable_simplecache();
} else {
    elgg_view_disable_simplecache();
}

/** enable/disable debug **/
if (get_input('debug')) {
    set_config('debug', 1);
}
else {
    unset_config('debug');
}

/** set update message and redirect cuz we're done **/
system_message(elgg_echo("OHT_ElggDevTools:message:successfulupdate"));
forward($CONFIG->wwwroot . 'pg/OHT_ElggDevTools');